<?php
/**
 * ProductTariffingVolumeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * ProductTariffingVolumeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные тарификации: * 1 - цена за 1 кг * 2 - цена за 100 грамм
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductTariffingVolumeEnum
{
    
    /** Цена за 1 кг */
    public const PRICE_PER_KILOGRAM = 1;
    
    /** Цена за 100 грамм */
    public const PRICE_PER_ONE_HUNDRED_GRAMS = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PRICE_PER_KILOGRAM,
            self::PRICE_PER_ONE_HUNDRED_GRAMS,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::PRICE_PER_KILOGRAM => 'Цена за 1 кг',
            self::PRICE_PER_ONE_HUNDRED_GRAMS => 'Цена за 100 грамм',
        ];
    }
}


